Subject: Re: [RFC][PATCH 2.6.12-rc2] Updated platform additions for 82xx

From: Eugene Surovegin <[email-masked]>
Date: Fri, 6 May 2005 10:32:46 -0700

On Fri, May 06, 2005 at 01:23:21PM -0400, Dan Malek wrote:
> 
> On May 6, 2005, at 1:08 PM, Eugene Surovegin wrote:
> 
> >Yeah, it's better, I'm only wondering what if some board has separate
> >PHY interrupt lines for each FCC? Define name - "PHY_INTERRUPT" was
> >chosen quite badly IMHO :).
> 
> One of my feature_calls is:
> 	embed_feature_call(CPM_FTR_FCC1, REQ_FTR_PHY_INT, &irq)
> 
> and so on for every Ethernet port.  This presents my current coding
> challenge, do I want this to be a varargs function or we just always 
> have
> three parameters, where the last one is ignored if not necessary, a
> pointer for an out value, or a pointer to a data structure for more
> complex information.  Right now I have it coded as always three
> parameters.

Yeah, I think 3 parameters approach is OK. IOCTL handlers are made 
like this and so far they proved to be quite flexible.

-- 
Eugene